<?php

namespace App\Http\Integrations\Imake;

use Saloon\Http\Connector;
use Saloon\Traits\Plugins\AcceptsJson;

class BulkClixAPI extends Connector
{
    use AcceptsJson;

    /**
     * The Base URL of the API
     */
    public function resolveBaseUrl(): string
    {
        return env('BULKCLIX_BASE_URL');
    }

    /**
     * Default headers for every request
     */
    protected function defaultHeaders(): array
    {
        return [
            'x-api-key' => env('BULKCLIX_API_KEY'),
            'Content-Type' => 'application/json',
        ];
    }


    /**
     * Default HTTP client options
     */
    protected function defaultConfig(): array
    {
        return [];
    }
}
